name: CI Test

on:
  push:
    branches:
      - pipeline/test
  pull_request:

jobs:
  gettools:
    runs-on: ubuntu-latest

    container:
      image: cm2network/steamcmd
      volumes:
        - ./data/steamcmd_login_volume:/home/steam/Steam
        - ./data/steamcmd_volume:/home/steam/steamcmd

    steps:
      - name: Login steam cmd
        run: |
          ./steamcmd.sh +login ${{ secrets.STEAM_USERNAME }} ${{ secrets.STEAM_PASSWORD }} +quit